Merge remote-tracking branch 'origin/master' into YaSp
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at    
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26 #
27
28 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
29 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
30 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
31 #
32 # This file must be used under the terms of the CeCILL.
33 # This source file is licensed as described in the file COPYING, which
34 # you should have received as part of this distribution.  The terms
35 # are also available at
36 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
37 #
38
39 ##########
40 ### Makefile included stuff
41 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
42 ##########
43
44
45 VPATH = @srcdir@
46 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
47 am__make_running_with_option = \
48   case $${target_option-} in \
49       ?) ;; \
50       *) echo "am__make_running_with_option: internal error: invalid" \
51               "target option '$${target_option-}' specified" >&2; \
52          exit 1;; \
53   esac; \
54   has_opt=no; \
55   sane_makeflags=$$MAKEFLAGS; \
56   if $(am__is_gnu_make); then \
57     sane_makeflags=$$MFLAGS; \
58   else \
59     case $$MAKEFLAGS in \
60       *\\[\ \   ]*) \
61         bs=\\; \
62         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
64     esac; \
65   fi; \
66   skip_next=no; \
67   strip_trailopt () \
68   { \
69     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
70   }; \
71   for flg in $$sane_makeflags; do \
72     test $$skip_next = yes && { skip_next=no; continue; }; \
73     case $$flg in \
74       *=*|--*) continue;; \
75         -*I) strip_trailopt 'I'; skip_next=yes;; \
76       -*I?*) strip_trailopt 'I';; \
77         -*O) strip_trailopt 'O'; skip_next=yes;; \
78       -*O?*) strip_trailopt 'O';; \
79         -*l) strip_trailopt 'l'; skip_next=yes;; \
80       -*l?*) strip_trailopt 'l';; \
81       -[dEDm]) skip_next=yes;; \
82       -[JT]) skip_next=yes;; \
83     esac; \
84     case $$flg in \
85       *$$target_option*) has_opt=yes; break;; \
86     esac; \
87   done; \
88   test $$has_opt = yes
89 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91 pkgdatadir = $(datadir)/@PACKAGE@
92 pkgincludedir = $(includedir)/@PACKAGE@
93 pkglibdir = $(libdir)/@PACKAGE@
94 pkglibexecdir = $(libexecdir)/@PACKAGE@
95 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96 install_sh_DATA = $(install_sh) -c -m 644
97 install_sh_PROGRAM = $(install_sh) -c
98 install_sh_SCRIPT = $(install_sh) -c
99 INSTALL_HEADER = $(INSTALL_DATA)
100 transform = $(program_transform_name)
101 NORMAL_INSTALL = :
102 PRE_INSTALL = :
103 POST_INSTALL = :
104 NORMAL_UNINSTALL = :
105 PRE_UNINSTALL = :
106 POST_UNINSTALL = :
107 build_triplet = @build@
108 host_triplet = @host@
109 @GIWS_TRUE@am__append_1 = giws
110 @SWIG_TRUE@am__append_2 = swig
111 @GUI_TRUE@am__append_3 = libsciui_data.la
112 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
113         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
114         $(top_srcdir)/config/depcomp
115 @NEED_JAVA_TRUE@am__append_4 = java
116 subdir = modules/ui_data
117 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
118 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
119         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
120         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
121         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
122         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
123         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
124         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
125         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
126         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
127         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
128         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
129         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
130         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
131         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
132         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
133         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
134         $(top_srcdir)/configure.ac
135 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
136         $(ACLOCAL_M4)
137 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
138 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
139 CONFIG_CLEAN_FILES =
140 CONFIG_CLEAN_VPATH_FILES =
141 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
142 am__vpath_adj = case $$p in \
143     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
144     *) f=$$p;; \
145   esac;
146 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
147 am__install_max = 40
148 am__nobase_strip_setup = \
149   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
150 am__nobase_strip = \
151   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
152 am__nobase_list = $(am__nobase_strip_setup); \
153   for p in $$list; do echo "$$p $$p"; done | \
154   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
155   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
156     if (++n[$$2] == $(am__install_max)) \
157       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
158     END { for (dir in files) print dir, files[dir] }'
159 am__base_list = \
160   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
161   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
162 am__uninstall_files_from_dir = { \
163   test -z "$$files" \
164     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
165     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
166          $(am__cd) "$$dir" && rm -f $$files; }; \
167   }
168 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
169         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
170         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
171         "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" \
172         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
173 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
174 libsciui_data_algo_la_LIBADD =
175 am__objects_1 = libsciui_data_algo_la-ui_data_wrap.lo \
176         libsciui_data_algo_la-PutScilabVariable.lo
177 am__objects_2 = libsciui_data_algo_la-BrowseVar.lo \
178         libsciui_data_algo_la-EditVar.lo \
179         libsciui_data_algo_la-FileBrowser.lo
180 am__objects_3 = libsciui_data_algo_la-BrowseVarManager.lo \
181         libsciui_data_algo_la-FileBrowserChDir.lo
182 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
183         $(am__objects_3)
184 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
185 AM_V_lt = $(am__v_lt_@AM_V@)
186 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
187 am__v_lt_0 = --silent
188 am__v_lt_1 = 
189 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
190 libsciui_data_disable_la_LIBADD =
191 am__objects_4 = libsciui_data_disable_la-noui_data.lo
192 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4)
193 libsciui_data_disable_la_OBJECTS =  \
194         $(am_libsciui_data_disable_la_OBJECTS)
195 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la
196 am__objects_5 = libsciui_data_la-gw_ui_data.lo
197 am__objects_6 = libsciui_data_la-sci_editvar.lo \
198         libsciui_data_la-sci_browsevar.lo \
199         libsciui_data_la-sci_filebrowser.lo \
200         libsciui_data_la-sci_updatebrowsevar.lo \
201         libsciui_data_la-sci_closeEditvar.lo
202 am_libsciui_data_la_OBJECTS = $(am__objects_5) $(am__objects_6)
203 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
204 libsciui_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
205         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
206         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) \
207         $(LDFLAGS) -o $@
208 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
209 AM_V_P = $(am__v_P_@AM_V@)
210 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
211 am__v_P_0 = false
212 am__v_P_1 = :
213 AM_V_GEN = $(am__v_GEN_@AM_V@)
214 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
215 am__v_GEN_0 = @echo "  GEN     " $@;
216 am__v_GEN_1 = 
217 AM_V_at = $(am__v_at_@AM_V@)
218 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
219 am__v_at_0 = @
220 am__v_at_1 = 
221 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
222 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
223 am__depfiles_maybe = depfiles
224 am__mv = mv -f
225 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
226         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
227 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
228         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
229         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
230         $(AM_CFLAGS) $(CFLAGS)
231 AM_V_CC = $(am__v_CC_@AM_V@)
232 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
233 am__v_CC_0 = @echo "  CC      " $@;
234 am__v_CC_1 = 
235 CCLD = $(CC)
236 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
237         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
238         $(AM_LDFLAGS) $(LDFLAGS) -o $@
239 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
240 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
241 am__v_CCLD_0 = @echo "  CCLD    " $@;
242 am__v_CCLD_1 = 
243 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
244         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
245 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
246         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
247         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
248         $(AM_CXXFLAGS) $(CXXFLAGS)
249 AM_V_CXX = $(am__v_CXX_@AM_V@)
250 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
251 am__v_CXX_0 = @echo "  CXX     " $@;
252 am__v_CXX_1 = 
253 CXXLD = $(CXX)
254 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
255         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
256         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
257 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
258 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
259 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
260 am__v_CXXLD_1 = 
261 SOURCES = $(libsciui_data_algo_la_SOURCES) \
262         $(libsciui_data_disable_la_SOURCES) \
263         $(libsciui_data_la_SOURCES)
264 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
265         $(libsciui_data_disable_la_SOURCES) \
266         $(libsciui_data_la_SOURCES)
267 am__can_run_installinfo = \
268   case $$AM_UPDATE_INFO_DIR in \
269     n|no|NO) false;; \
270     *) (install-info --version) >/dev/null 2>&1;; \
271   esac
272 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
273         $(libsciui_data_la_sci_gateway_DATA) \
274         $(nobase_libsciui_data_la_icons_DATA)
275 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
276 # Read a list of newline-separated strings from the standard input,
277 # and print each of them once, without duplicates.  Input order is
278 # *not* preserved.
279 am__uniquify_input = $(AWK) '\
280   BEGIN { nonempty = 0; } \
281   { items[$$0] = 1; nonempty = 1; } \
282   END { if (nonempty) { for (i in items) print i; }; } \
283 '
284 # Make sure the list of sources is unique.  This is necessary because,
285 # e.g., the same source file might be shared among _SOURCES variables
286 # for different programs/libraries.
287 am__define_uniq_tagged_files = \
288   list='$(am__tagged_files)'; \
289   unique=`for i in $$list; do \
290     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
291   done | $(am__uniquify_input)`
292 ETAGS = etags
293 CTAGS = ctags
294 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
295 ACLOCAL = @ACLOCAL@
296 ALL_LINGUAS = @ALL_LINGUAS@
297 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
298 AMTAR = @AMTAR@
299 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
300 ANT = @ANT@
301 ANTLR = @ANTLR@
302 AR = @AR@
303 ARPACK_LIBS = @ARPACK_LIBS@
304 ASM3 = @ASM3@
305 AUTOCONF = @AUTOCONF@
306 AUTOHEADER = @AUTOHEADER@
307 AUTOMAKE = @AUTOMAKE@
308 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
309 AWK = @AWK@
310 BATIK = @BATIK@
311 BLAS_LIBS = @BLAS_LIBS@
312 CC = @CC@
313 CCACHE = @CCACHE@
314 CCDEPMODE = @CCDEPMODE@
315 CFLAGS = @CFLAGS@
316 CHECKSTYLE = @CHECKSTYLE@
317 COBERTURA = @COBERTURA@
318 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
319 COMMONS_IO = @COMMONS_IO@
320 COMMONS_LOGGING = @COMMONS_LOGGING@
321 CPP = @CPP@
322 CPPFLAGS = @CPPFLAGS@
323 CURL_CFLAGS = @CURL_CFLAGS@
324 CURL_CONFIG = @CURL_CONFIG@
325 CURL_LIBS = @CURL_LIBS@
326 CURL_VERSION = @CURL_VERSION@
327 CXX = @CXX@
328 CXXCPP = @CXXCPP@
329 CXXDEPMODE = @CXXDEPMODE@
330 CXXFLAGS = @CXXFLAGS@
331 CYGPATH_W = @CYGPATH_W@
332 DEFS = @DEFS@
333 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
334 DEPDIR = @DEPDIR@
335 DOCBOOK_ROOT = @DOCBOOK_ROOT@
336 DOXYGEN_BIN = @DOXYGEN_BIN@
337 DSYMUTIL = @DSYMUTIL@
338 DUMPBIN = @DUMPBIN@
339 ECHO_C = @ECHO_C@
340 ECHO_N = @ECHO_N@
341 ECHO_T = @ECHO_T@
342 EGREP = @EGREP@
343 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
344 EXEEXT = @EXEEXT@
345 F77 = @F77@
346 FFLAGS = @FFLAGS@
347 FFTW3_LIB = @FFTW3_LIB@
348 FFTW_ENABLE = @FFTW_ENABLE@
349 FGREP = @FGREP@
350 FLEXDOCK = @FLEXDOCK@
351 FLIBS = @FLIBS@
352 FOP = @FOP@
353 GENHTML = @GENHTML@
354 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
355 GIWS_BIN = @GIWS_BIN@
356 GLUEGEN2_RT = @GLUEGEN2_RT@
357 GMSGFMT = @GMSGFMT@
358 GMSGFMT_015 = @GMSGFMT_015@
359 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
360 GREP = @GREP@
361 GUI_ENABLE = @GUI_ENABLE@
362 HDF5_CFLAGS = @HDF5_CFLAGS@
363 HDF5_LIBS = @HDF5_LIBS@
364 HELP_ENABLE = @HELP_ENABLE@
365 INSTALL = @INSTALL@
366 INSTALL_DATA = @INSTALL_DATA@
367 INSTALL_PROGRAM = @INSTALL_PROGRAM@
368 INSTALL_SCRIPT = @INSTALL_SCRIPT@
369 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
370 INTLLIBS = @INTLLIBS@
371 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
372 JAR = @JAR@
373 JAVA = @JAVA@
374 JAVAC = @JAVAC@
375 JAVAC_DEBUG = @JAVAC_DEBUG@
376 JAVADOC = @JAVADOC@
377 JAVAH = @JAVAH@
378 JAVASCI_ENABLE = @JAVASCI_ENABLE@
379 JAVA_ENABLE = @JAVA_ENABLE@
380 JAVA_G = @JAVA_G@
381 JAVA_HOME = @JAVA_HOME@
382 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
383 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
384 JDB = @JDB@
385 JEUCLID_CORE = @JEUCLID_CORE@
386 JGRAPHX = @JGRAPHX@
387 JHALL = @JHALL@
388 JLATEXMATH = @JLATEXMATH@
389 JLATEXMATH_FOP = @JLATEXMATH_FOP@
390 JOGL2 = @JOGL2@
391 JROSETTA_API = @JROSETTA_API@
392 JROSETTA_ENGINE = @JROSETTA_ENGINE@
393 JUNIT4 = @JUNIT4@
394 LAPACK_LIBS = @LAPACK_LIBS@
395 LCOV = @LCOV@
396 LD = @LD@
397 LDFLAGS = @LDFLAGS@
398 LEX = @LEX@
399 LEXLIB = @LEXLIB@
400 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
401 LIBICONV = @LIBICONV@
402 LIBINTL = @LIBINTL@
403 LIBM = @LIBM@
404 LIBOBJS = @LIBOBJS@
405 LIBS = @LIBS@
406 LIBTOOL = @LIBTOOL@
407 LIPO = @LIPO@
408 LN_S = @LN_S@
409 LOGGING_LEVEL = @LOGGING_LEVEL@
410 LOOKS = @LOOKS@
411 LTLIBICONV = @LTLIBICONV@
412 LTLIBINTL = @LTLIBINTL@
413 LTLIBOBJS = @LTLIBOBJS@
414 MAINT = @MAINT@
415 MAKEINFO = @MAKEINFO@
416 MATIO_CFLAGS = @MATIO_CFLAGS@
417 MATIO_ENABLE = @MATIO_ENABLE@
418 MATIO_LIBS = @MATIO_LIBS@
419 MKDIR_P = @MKDIR_P@
420 MSGCAT = @MSGCAT@
421 MSGFMT = @MSGFMT@
422 MSGFMT_015 = @MSGFMT_015@
423 MSGMERGE = @MSGMERGE@
424 NM = @NM@
425 NMEDIT = @NMEDIT@
426 OBJDUMP = @OBJDUMP@
427 OBJEXT = @OBJEXT@
428 OCAMLC = @OCAMLC@
429 OCAMLDEP = @OCAMLDEP@
430 OCAMLLEX = @OCAMLLEX@
431 OCAMLOPT = @OCAMLOPT@
432 OCAMLYACC = @OCAMLYACC@
433 OPENMP_CFLAGS = @OPENMP_CFLAGS@
434 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
435 OPENMP_ENABLE = @OPENMP_ENABLE@
436 OPENMP_LIBS = @OPENMP_LIBS@
437 OTOOL = @OTOOL@
438 OTOOL64 = @OTOOL64@
439 PACKAGE = @PACKAGE@
440 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
441 PACKAGE_NAME = @PACKAGE_NAME@
442 PACKAGE_STRING = @PACKAGE_STRING@
443 PACKAGE_TARNAME = @PACKAGE_TARNAME@
444 PACKAGE_URL = @PACKAGE_URL@
445 PACKAGE_VERSION = @PACKAGE_VERSION@
446 PATH_SEPARATOR = @PATH_SEPARATOR@
447 PCRE_CFLAGS = @PCRE_CFLAGS@
448 PCRE_CONFIG = @PCRE_CONFIG@
449 PCRE_LIBS = @PCRE_LIBS@
450 PCRE_VERSION = @PCRE_VERSION@
451 PKG_CONFIG = @PKG_CONFIG@
452 POSUB = @POSUB@
453 POW_LIB = @POW_LIB@
454 PYTHON = @PYTHON@
455 RANLIB = @RANLIB@
456 RELOCATABLE = @RELOCATABLE@
457 RT_LIB = @RT_LIB@
458 SAXON = @SAXON@
459 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
460 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
461 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
462 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
463 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
464 SCIRENDERER = @SCIRENDERER@
465 SCIRENDERER_CP = @SCIRENDERER_CP@
466 SCI_CFLAGS = @SCI_CFLAGS@
467 SCI_CXXFLAGS = @SCI_CXXFLAGS@
468 SCI_FFLAGS = @SCI_FFLAGS@
469 SCI_LDFLAGS = @SCI_LDFLAGS@
470 SED = @SED@
471 SET_MAKE = @SET_MAKE@
472 SET_RELOCATABLE = @SET_RELOCATABLE@
473 SHELL = @SHELL@
474 SKINLF = @SKINLF@
475 SPLINT = @SPLINT@
476 STRIP = @STRIP@
477 SWIG_BIN = @SWIG_BIN@
478 SWIG_JAVA = @SWIG_JAVA@
479 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
480 TCLTK_LIBS = @TCLTK_LIBS@
481 TCL_INC_PATH = @TCL_INC_PATH@
482 TK_INC_PATH = @TK_INC_PATH@
483 UMFPACK_ENABLE = @UMFPACK_ENABLE@
484 UMFPACK_LIB = @UMFPACK_LIB@
485 USE_NLS = @USE_NLS@
486 VERSION = @VERSION@
487 WITH_OCAML = @WITH_OCAML@
488 WITH_TKSCI = @WITH_TKSCI@
489 XCOS_ENABLE = @XCOS_ENABLE@
490 XGETTEXT = @XGETTEXT@
491 XGETTEXT_015 = @XGETTEXT_015@
492 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
493 XMKMF = @XMKMF@
494 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
495 XML_APIS_EXT = @XML_APIS_EXT@
496 XML_CONFIG = @XML_CONFIG@
497 XML_FLAGS = @XML_FLAGS@
498 XML_LIBS = @XML_LIBS@
499 XML_VERSION = @XML_VERSION@
500 X_CFLAGS = @X_CFLAGS@
501 X_EXTRA_LIBS = @X_EXTRA_LIBS@
502 X_LIBS = @X_LIBS@
503 X_PRE_LIBS = @X_PRE_LIBS@
504 YACC = @YACC@
505 YFLAGS = @YFLAGS@
506 abs_builddir = @abs_builddir@
507 abs_srcdir = @abs_srcdir@
508 abs_top_builddir = @abs_top_builddir@
509 abs_top_srcdir = @abs_top_srcdir@
510 ac_ct_AR = @ac_ct_AR@
511 ac_ct_CC = @ac_ct_CC@
512 ac_ct_CXX = @ac_ct_CXX@
513 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
514 ac_ct_F77 = @ac_ct_F77@
515 am__include = @am__include@
516 am__leading_dot = @am__leading_dot@
517 am__quote = @am__quote@
518 am__tar = @am__tar@
519 am__untar = @am__untar@
520 bindir = @bindir@
521 build = @build@
522 build_alias = @build_alias@
523 build_cpu = @build_cpu@
524 build_os = @build_os@
525 build_vendor = @build_vendor@
526 builddir = @builddir@
527 cxx_present = @cxx_present@
528 datadir = @datadir@
529 datarootdir = @datarootdir@
530 docdir = @docdir@
531 dvidir = @dvidir@
532 exec_prefix = @exec_prefix@
533 host = @host@
534 host_alias = @host_alias@
535 host_cpu = @host_cpu@
536 host_os = @host_os@
537 host_vendor = @host_vendor@
538 htmldir = @htmldir@
539 includedir = @includedir@
540 infodir = @infodir@
541 install_sh = @install_sh@
542 libdir = @libdir@
543 libexecdir = @libexecdir@
544 localedir = @localedir@
545 localstatedir = @localstatedir@
546 mandir = @mandir@
547 mkdir_p = @mkdir_p@
548 oldincludedir = @oldincludedir@
549 pdfdir = @pdfdir@
550 prefix = @prefix@
551 program_transform_name = @program_transform_name@
552 psdir = @psdir@
553 sbindir = @sbindir@
554 sharedstatedir = @sharedstatedir@
555 srcdir = @srcdir@
556 sysconfdir = @sysconfdir@
557 target_alias = @target_alias@
558 top_build_prefix = @top_build_prefix@
559 top_builddir = @top_builddir@
560 top_srcdir = @top_srcdir@
561 yacc_present = @yacc_present@
562
563 #### Target ######
564 modulename = ui_data
565
566 #### ui_data : Conf files ####
567 libsciui_data_la_rootdir = $(mydatadir)
568 libsciui_data_la_root_DATA = license.txt 
569
570 #### ui_data : init scripts ####
571 libsciui_data_la_etcdir = $(mydatadir)/etc
572 libsciui_data_la_etc_DATA = \
573         etc/ui_data.quit \
574         etc/ui_data.start \
575         etc/variablebrowser_menubar.xml \
576         etc/variableeditor_menubar.xml \
577         etc/XConfiguration-variables.xml \
578         etc/XConfiguration-variables.xsl
579
580 UI_DATA_JNI_SOURCES = src/jni/BrowseVar.cpp \
581                       src/jni/EditVar.cpp \
582                       src/jni/FileBrowser.cpp
583
584 UI_DATA_C_SOURCES = src/jni/ui_data_wrap.c \
585                     src/c/PutScilabVariable.c
586
587 UI_DATA_CXX_SOURCES = src/cpp/BrowseVarManager.cpp \
588                       src/cpp/FileBrowserChDir.cpp
589
590 GIWS_WRAPPERS = \
591 src/jni/BrowseVar.giws.xml \
592 src/jni/EditVar.giws.xml \
593 src/jni/FileBrowser.giws.xml
594
595 SWIG_WRAPPERS = \
596 src/jni/ui_data.i
597
598 BUILT_SOURCES = $(am__append_1) $(am__append_2)
599 GATEWAY_C_SOURCES = sci_gateway/c/gw_ui_data.c
600 GATEWAY_CXX_SOURCES = sci_gateway/cpp/sci_editvar.cpp \
601                       sci_gateway/cpp/sci_browsevar.cpp \
602                       sci_gateway/cpp/sci_filebrowser.cpp \
603                         sci_gateway/cpp/sci_updatebrowsevar.cpp \
604                         sci_gateway/cpp/sci_closeEditvar.cpp
605
606 libsciui_data_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
607                         -I$(srcdir)/includes/ \
608                         -I$(srcdir)/src/cpp/ \
609                         -I$(srcdir)/src/c/ \
610                         -I$(srcdir)/src/jni/ \
611                         -I$(top_srcdir)/modules/jvm/includes/ \
612                         -I$(top_srcdir)/modules/output_stream/includes/ \
613                         -I$(top_srcdir)/modules/operations/includes/ \
614             -I$(top_srcdir)/modules/system_env/includes/ \
615                         -I$(top_srcdir)/modules/commons/src/jni/ \
616                         -I$(top_srcdir)/modules/localization/includes/ \
617                         -I$(top_srcdir)/modules/api_scilab/includes/ \
618                         -I$(top_srcdir)/modules/fileio/includes/ \
619                         -I$(top_srcdir)/modules/string/includes/ \
620                         $(AM_CPPFLAGS)
621
622
623 # Without the ui_data module 
624 libsciui_data_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
625                         -I$(top_srcdir)/modules/localization/includes/ \
626                         -I$(top_srcdir)/modules/output_stream/includes \
627                         $(AM_CPPFLAGS)
628
629 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
630 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES)
631 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
632 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la
633 libsciui_data_la_LDFLAGS = $(X_LIBS) $(X_EXTRA_LIBS) $(AM_LDFLAGS)
634 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
635 libsciui_data_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
636 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
637
638 # For the code check (splint)
639 CHECK_SRC = $(UI_DATA_C_SOURCES) $(GATEWAY_C_SOURCES)
640 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
641 libsciui_data_la_LIBADD = libsciui_data-algo.la
642
643 #### ui_data : gateway declaration ####
644 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
645 libsciui_data_la_sci_gateway_DATA = sci_gateway/ui_data_gateway.xml
646
647 #### ui_data : icons files ####
648 #
649 # Generated with:
650 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
651 libsciui_data_la_iconsdir = $(mydatadir)/
652 nobase_libsciui_data_la_icons_DATA = images/icons/16x16/mimetypes/array_up.png \
653 images/icons/16x16/mimetypes/boolean.png \
654 images/icons/16x16/mimetypes/cell.png \
655 images/icons/16x16/mimetypes/double.png \
656 images/icons/16x16/mimetypes/fptr.png \
657 images/icons/16x16/mimetypes/function.png \
658 images/icons/16x16/mimetypes/handle.png \
659 images/icons/16x16/mimetypes/int.png \
660 images/icons/16x16/mimetypes/list.png \
661 images/icons/16x16/mimetypes/mlist.png \
662 images/icons/16x16/mimetypes/noicon.png \
663 images/icons/16x16/mimetypes/object.png \
664 images/icons/16x16/mimetypes/polynomial.png \
665 images/icons/16x16/mimetypes/sparse.png \
666 images/icons/16x16/mimetypes/string.png \
667 images/icons/16x16/mimetypes/timeseries.png \
668 images/icons/16x16/mimetypes/tlist.png \
669 images/icons/16x16/mimetypes/uint.png \
670 images/icons/16x16/mimetypes/user.png
671
672 @GUI_TRUE@USEANT = 1
673
674 # Where all the Scilab stuff is installed (macros, help, ...)
675 mydatadir = $(pkgdatadir)/modules/$(modulename)
676
677 # Set AM_* SCI detected settings
678 AM_CPPFLAGS = $(SCI_CPPFLAGS)
679 AM_CFLAGS = $(SCI_CFLAGS)
680 AM_CXXFLAGS = $(SCI_CXXFLAGS)
681 # append includes to AM_FFLAGS to manage fortran includes
682 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
683
684 # Tag shared libraries with the Scilab version
685 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
686
687 # splint options
688 SPLINT_OPTIONS = -weak -booltype BOOL
689
690 ########################### JAVA ######################################
691 #### We are delegating java compilation to ant... Thanks to that
692 #### the procedure will be the same with Microsoft Windows (C)
693 #### and Linux/Unix
694 #######################################################################
695 TARGETS_ALL = $(am__append_4)
696
697 ################ MACROS ######################
698 # Rule to build a macro
699 # NOT USED  AT THE MOMENT
700 SUFFIXES = .sci 
701
702 ########### INSTALL DOCUMENTATION ###################
703
704 # Install documentation files into the right target
705 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
706 # automake needs the html files to be present which is not the case when
707 # we are building Scilab
708
709 # Where it should be installed
710 pkgdocdir = $(mydatadir)
711
712 # What is the mask of the help source
713 DOCMASKXML = *.xml
714
715 # What is the mask of the MathML sources
716 DOCMASKMML = *.mml
717
718 ########### INSTALL DATA ###################
719 # Install macros, help & demos
720 # Where it should be installed
721 pkgmacrosdir = $(mydatadir)
722 # Which directory we process
723 MACRODIRS = macros/
724 # Mask of the Scilab sources macros
725 MACROMASK = *.sci
726 # Mask of the Scilab executable sources macros
727 MACROBUILDMASK = *.sce
728 # Mask of the Scilab compiled macros
729 MACROBINMASK = *.bin
730 # List of the standard directory for tests
731 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
732 # Where the demos should be installed
733 pkgdemosdir = $(mydatadir)
734 # List of the standard directory for demos
735 DEMOS_DIR = demos
736 # List of the standard directory for examples
737 EXAMPLES_DIR = examples
738 # Where to export JAVA archives (.jar)
739 JARDIR = jar/
740 # JAR files mask
741 JARMASK = *.jar
742 # Chapter file 
743 HELP_CHAPTERDIR = help/
744 HELP_CHAPTERFILE = addchapter.sce
745 HELP_CHAPTERLANG = en_US fr_FR pt_BR
746 all: $(BUILT_SOURCES)
747         $(MAKE) $(AM_MAKEFLAGS) all-am
748
749 .SUFFIXES:
750 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
751 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
752         @for dep in $?; do \
753           case '$(am__configure_deps)' in \
754             *$$dep*) \
755               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
756                 && { if test -f $@; then exit 0; else break; fi; }; \
757               exit 1;; \
758           esac; \
759         done; \
760         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
761         $(am__cd) $(top_srcdir) && \
762           $(AUTOMAKE) --foreign modules/ui_data/Makefile
763 .PRECIOUS: Makefile
764 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
765         @case '$?' in \
766           *config.status*) \
767             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
768           *) \
769             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
770             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
771         esac;
772 $(top_srcdir)/Makefile.incl.am:
773
774 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
775         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
776
777 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
778         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
779 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
780         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
781 $(am__aclocal_m4_deps):
782
783 clean-noinstLTLIBRARIES:
784         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
785         @list='$(noinst_LTLIBRARIES)'; \
786         locs=`for p in $$list; do echo $$p; done | \
787               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
788               sort -u`; \
789         test -z "$$locs" || { \
790           echo rm -f $${locs}; \
791           rm -f $${locs}; \
792         }
793
794 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
795         @$(NORMAL_INSTALL)
796         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
797         list2=; for p in $$list; do \
798           if test -f $$p; then \
799             list2="$$list2 $$p"; \
800           else :; fi; \
801         done; \
802         test -z "$$list2" || { \
803           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
804           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
805           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
806           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
807         }
808
809 uninstall-pkglibLTLIBRARIES:
810         @$(NORMAL_UNINSTALL)
811         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
812         for p in $$list; do \
813           $(am__strip_dir) \
814           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
815           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
816         done
817
818 clean-pkglibLTLIBRARIES:
819         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
820         @list='$(pkglib_LTLIBRARIES)'; \
821         locs=`for p in $$list; do echo $$p; done | \
822               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
823               sort -u`; \
824         test -z "$$locs" || { \
825           echo rm -f $${locs}; \
826           rm -f $${locs}; \
827         }
828
829 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
830         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
831
832 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
833         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
834
835 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
836         $(AM_V_CXXLD)$(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
837
838 mostlyclean-compile:
839         -rm -f *.$(OBJEXT)
840
841 distclean-compile:
842         -rm -f *.tab.c
843
844 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
845 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo@am__quote@
846 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
847 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
848 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
849 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
850 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
851 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
852 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-gw_ui_data.Plo@am__quote@
853 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
854 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo@am__quote@
855 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
856 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
857 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
858
859 .c.o:
860 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
861 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
862 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
863 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
864 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
865
866 .c.obj:
867 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
868 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
869 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
870 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
871 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
872
873 .c.lo:
874 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
875 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
876 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
877 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
878 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
879
880 libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
881 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
882 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
883 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/ui_data_wrap.c' object='libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
884 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
885 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
886
887 libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
888 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
889 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
890 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/PutScilabVariable.c' object='libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
891 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
892 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
893
894 libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
895 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_disable_la-noui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
896 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo $(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
897 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noui_data/noui_data.c' object='libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
898 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
899 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
900
901 libsciui_data_la-gw_ui_data.lo: sci_gateway/c/gw_ui_data.c
902 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_la-gw_ui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
903 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo $(DEPDIR)/libsciui_data_la-gw_ui_data.Plo
904 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_ui_data.c' object='libsciui_data_la-gw_ui_data.lo' libtool=yes @AMDEPBACKSLASH@
905 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
906 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
907
908 .cpp.o:
909 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
910 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
911 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
912 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
913 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
914
915 .cpp.obj:
916 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
917 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
918 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
919 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
920 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
921
922 .cpp.lo:
923 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
924 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
925 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
926 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
927 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
928
929 libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
930 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
931 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
932 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BrowseVar.cpp' object='libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
933 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
934 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
935
936 libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
937 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-EditVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
938 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo $(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
939 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/EditVar.cpp' object='libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
940 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
941 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
942
943 libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
944 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
945 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
946 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileBrowser.cpp' object='libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
947 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
948 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
949
950 libsciui_data_algo_la-BrowseVarManager.lo: src/cpp/BrowseVarManager.cpp
951 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVarManager.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo -c -o libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
952 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
953 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/BrowseVarManager.cpp' object='libsciui_data_algo_la-BrowseVarManager.lo' libtool=yes @AMDEPBACKSLASH@
954 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
955 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
956
957 libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
958 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
959 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
960 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/FileBrowserChDir.cpp' object='libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
961 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
962 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
963
964 libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
965 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_editvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
966 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo $(DEPDIR)/libsciui_data_la-sci_editvar.Plo
967 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_editvar.cpp' object='libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
968 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
969 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
970
971 libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
972 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_browsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
973 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
974 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_browsevar.cpp' object='libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
975 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
976 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
977
978 libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
979 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_filebrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
980 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo $(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
981 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_filebrowser.cpp' object='libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
982 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
983 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
984
985 libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
986 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
987 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
988 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
989 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
990 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
991
992 libsciui_data_la-sci_closeEditvar.lo: sci_gateway/cpp/sci_closeEditvar.cpp
993 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_closeEditvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo -c -o libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
994 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
995 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_closeEditvar.cpp' object='libsciui_data_la-sci_closeEditvar.lo' libtool=yes @AMDEPBACKSLASH@
996 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
997 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
998
999 mostlyclean-libtool:
1000         -rm -f *.lo
1001
1002 clean-libtool:
1003         -rm -rf .libs _libs
1004 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
1005         @$(NORMAL_INSTALL)
1006         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1007         if test -n "$$list"; then \
1008           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1009           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
1010         fi; \
1011         for p in $$list; do \
1012           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1013           echo "$$d$$p"; \
1014         done | $(am__base_list) | \
1015         while read files; do \
1016           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1017           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
1018         done
1019
1020 uninstall-libsciui_data_la_etcDATA:
1021         @$(NORMAL_UNINSTALL)
1022         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1023         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1024         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
1025 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
1026         @$(NORMAL_INSTALL)
1027         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1028         if test -n "$$list"; then \
1029           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1030           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
1031         fi; \
1032         for p in $$list; do \
1033           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1034           echo "$$d$$p"; \
1035         done | $(am__base_list) | \
1036         while read files; do \
1037           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1038           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
1039         done
1040
1041 uninstall-libsciui_data_la_rootDATA:
1042         @$(NORMAL_UNINSTALL)
1043         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1044         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1045         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
1046 install-libsciui_data_la_sci_gatewayDATA: $(libsciui_data_la_sci_gateway_DATA)
1047         @$(NORMAL_INSTALL)
1048         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1049         if test -n "$$list"; then \
1050           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1051           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit 1; \
1052         fi; \
1053         for p in $$list; do \
1054           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1055           echo "$$d$$p"; \
1056         done | $(am__base_list) | \
1057         while read files; do \
1058           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1059           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit $$?; \
1060         done
1061
1062 uninstall-libsciui_data_la_sci_gatewayDATA:
1063         @$(NORMAL_UNINSTALL)
1064         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1065         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1066         dir='$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1067 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
1068         @$(NORMAL_INSTALL)
1069         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1070         if test -n "$$list"; then \
1071           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
1072           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
1073         fi; \
1074         $(am__nobase_list) | while read dir files; do \
1075           xfiles=; for file in $$files; do \
1076             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1077             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1078           test -z "$$xfiles" || { \
1079             test "x$$dir" = x. || { \
1080               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1081               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
1082             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1083             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
1084         done
1085
1086 uninstall-nobase_libsciui_data_la_iconsDATA:
1087         @$(NORMAL_UNINSTALL)
1088         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1089         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1090         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
1091
1092 ID: $(am__tagged_files)
1093         $(am__define_uniq_tagged_files); mkid -fID $$unique
1094 tags: tags-am
1095 TAGS: tags
1096
1097 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1098         set x; \
1099         here=`pwd`; \
1100         $(am__define_uniq_tagged_files); \
1101         shift; \
1102         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1103           test -n "$$unique" || unique=$$empty_fix; \
1104           if test $$# -gt 0; then \
1105             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1106               "$$@" $$unique; \
1107           else \
1108             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1109               $$unique; \
1110           fi; \
1111         fi
1112 ctags: ctags-am
1113
1114 CTAGS: ctags
1115 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1116         $(am__define_uniq_tagged_files); \
1117         test -z "$(CTAGS_ARGS)$$unique" \
1118           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1119              $$unique
1120
1121 GTAGS:
1122         here=`$(am__cd) $(top_builddir) && pwd` \
1123           && $(am__cd) $(top_srcdir) \
1124           && gtags -i $(GTAGS_ARGS) "$$here"
1125 cscopelist: cscopelist-am
1126
1127 cscopelist-am: $(am__tagged_files)
1128         list='$(am__tagged_files)'; \
1129         case "$(srcdir)" in \
1130           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1131           *) sdir=$(subdir)/$(srcdir) ;; \
1132         esac; \
1133         for i in $$list; do \
1134           if test -f "$$i"; then \
1135             echo "$(subdir)/$$i"; \
1136           else \
1137             echo "$$sdir/$$i"; \
1138           fi; \
1139         done >> $(top_builddir)/cscope.files
1140
1141 distclean-tags:
1142         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1143
1144 distdir: $(DISTFILES)
1145         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1146         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1147         list='$(DISTFILES)'; \
1148           dist_files=`for file in $$list; do echo $$file; done | \
1149           sed -e "s|^$$srcdirstrip/||;t" \
1150               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1151         case $$dist_files in \
1152           */*) $(MKDIR_P) `echo "$$dist_files" | \
1153                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1154                            sort -u` ;; \
1155         esac; \
1156         for file in $$dist_files; do \
1157           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1158           if test -d $$d/$$file; then \
1159             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1160             if test -d "$(distdir)/$$file"; then \
1161               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1162             fi; \
1163             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1164               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1165               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1166             fi; \
1167             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1168           else \
1169             test -f "$(distdir)/$$file" \
1170             || cp -p $$d/$$file "$(distdir)/$$file" \
1171             || exit 1; \
1172           fi; \
1173         done
1174 check-am: all-am
1175         $(MAKE) $(AM_MAKEFLAGS) check-local
1176 check: $(BUILT_SOURCES)
1177         $(MAKE) $(AM_MAKEFLAGS) check-am
1178 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1179 installdirs:
1180         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1181           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1182         done
1183 install: $(BUILT_SOURCES)
1184         $(MAKE) $(AM_MAKEFLAGS) install-am
1185 install-exec: install-exec-am
1186 install-data: install-data-am
1187 uninstall: uninstall-am
1188
1189 install-am: all-am
1190         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1191
1192 installcheck: installcheck-am
1193 install-strip:
1194         if test -z '$(STRIP)'; then \
1195           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1196             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1197               install; \
1198         else \
1199           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1200             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1201             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1202         fi
1203 mostlyclean-generic:
1204
1205 clean-generic:
1206
1207 distclean-generic:
1208         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1209         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1210
1211 maintainer-clean-generic:
1212         @echo "This command is intended for maintainers to use"
1213         @echo "it deletes files that may require special tools to rebuild."
1214         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1215 clean: clean-am
1216
1217 clean-am: clean-generic clean-libtool clean-local \
1218         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1219
1220 distclean: distclean-am
1221         -rm -rf ./$(DEPDIR)
1222         -rm -f Makefile
1223 distclean-am: clean-am distclean-compile distclean-generic \
1224         distclean-local distclean-tags
1225
1226 dvi: dvi-am
1227
1228 dvi-am:
1229
1230 html: html-am
1231
1232 html-am:
1233
1234 info: info-am
1235
1236 info-am:
1237
1238 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1239         install-libsciui_data_la_rootDATA \
1240         install-libsciui_data_la_sci_gatewayDATA \
1241         install-nobase_libsciui_data_la_iconsDATA
1242
1243 install-dvi: install-dvi-am
1244
1245 install-dvi-am:
1246
1247 install-exec-am: install-pkglibLTLIBRARIES
1248
1249 install-html: install-html-am
1250
1251 install-html-am: install-html-local
1252
1253 install-info: install-info-am
1254
1255 install-info-am:
1256
1257 install-man:
1258
1259 install-pdf: install-pdf-am
1260
1261 install-pdf-am:
1262
1263 install-ps: install-ps-am
1264
1265 install-ps-am:
1266
1267 installcheck-am:
1268
1269 maintainer-clean: maintainer-clean-am
1270         -rm -rf ./$(DEPDIR)
1271         -rm -f Makefile
1272 maintainer-clean-am: distclean-am maintainer-clean-generic
1273
1274 mostlyclean: mostlyclean-am
1275
1276 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1277         mostlyclean-libtool
1278
1279 pdf: pdf-am
1280
1281 pdf-am:
1282
1283 ps: ps-am
1284
1285 ps-am:
1286
1287 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1288         uninstall-libsciui_data_la_rootDATA \
1289         uninstall-libsciui_data_la_sci_gatewayDATA \
1290         uninstall-nobase_libsciui_data_la_iconsDATA \
1291         uninstall-pkglibLTLIBRARIES
1292
1293 .MAKE: all check check-am install install-am install-strip
1294
1295 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1296         check-local clean clean-generic clean-libtool clean-local \
1297         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1298         ctags ctags-am distclean distclean-compile distclean-generic \
1299         distclean-libtool distclean-local distclean-tags distdir dvi \
1300         dvi-am html html-am info info-am install install-am \
1301         install-data install-data-am install-data-local install-dvi \
1302         install-dvi-am install-exec install-exec-am install-html \
1303         install-html-am install-html-local install-info \
1304         install-info-am install-libsciui_data_la_etcDATA \
1305         install-libsciui_data_la_rootDATA \
1306         install-libsciui_data_la_sci_gatewayDATA install-man \
1307         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1308         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1309         install-ps-am install-strip installcheck installcheck-am \
1310         installdirs maintainer-clean maintainer-clean-generic \
1311         mostlyclean mostlyclean-compile mostlyclean-generic \
1312         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1313         uninstall-am uninstall-libsciui_data_la_etcDATA \
1314         uninstall-libsciui_data_la_rootDATA \
1315         uninstall-libsciui_data_la_sci_gatewayDATA \
1316         uninstall-nobase_libsciui_data_la_iconsDATA \
1317         uninstall-pkglibLTLIBRARIES
1318
1319
1320 # This target enables tests for Scilab
1321 check-local: $(top_builddir)/scilab-bin test
1322         if test -d $(mydatadir)/tests; then \
1323           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1324         fi
1325 check-code:
1326         if test -f build.xml; then \
1327                 $(ANT) checkstyle; \
1328         fi
1329         if test -x "$(SPLINT)"; then \
1330                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1331         fi
1332 @NEED_JAVA_TRUE@java:
1333 # Some configurations needs to export JAVA_HOME in the current env
1334 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1335 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1336 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1337 @NEED_JAVA_TRUE@                $(ANT); \
1338 @NEED_JAVA_TRUE@        fi
1339
1340 @NEED_JAVA_TRUE@clean-java:
1341 # Some configurations needs to export JAVA_HOME in the current env
1342 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1343 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1344 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1345 @NEED_JAVA_TRUE@                $(ANT) clean; \
1346 @NEED_JAVA_TRUE@        fi;
1347
1348 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1349 # We call the target swig-build on the variable SWIG_WRAPPERS
1350
1351 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1352 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1353 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1354 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1355 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1356 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1357 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1358 @SWIG_TRUE@             done; \
1359 @SWIG_TRUE@     fi
1360
1361 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1362 # We call the target swig-build on the variable SWIG_WRAPPERS
1363
1364 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1365 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1366 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1367 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1368 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1369 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1370 @GIWS_TRUE@             done; \
1371 @GIWS_TRUE@     fi
1372
1373 @GIWS_TRUE@giws-exception:
1374 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1375 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1376 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1377
1378 macros:
1379         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1380                 echo "Error : Cannot build $< : Scilab has not been built"; \
1381         else \
1382                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1383         fi)
1384
1385 # Removes the macros
1386 clean-macros:
1387 # Removes macros (*.bin generated from .sci)
1388         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1389                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1390                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1391         done
1392
1393 test:
1394 # More tests could be added here
1395         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1396         if test -f build.xml -a $$USEANT -eq 1; then \
1397                 $(ANT) test; \
1398         fi
1399
1400 all-local: $(TARGETS_ALL)
1401
1402 .sci.bin:
1403         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1404         echo "Error : Cannot build $< : Scilab has not been build"; \
1405         else \
1406         echo "Creating $@"; \
1407         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1408         fi )
1409
1410 install-html-local:
1411
1412 install-data-local-local:
1413 # Mainly for javasci
1414         @if test -d $(srcdir)/javadoc; then \
1415                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1416         fi
1417 # If the user wants the help sources to be installed
1418 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1419 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1420 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1421 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1422 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1423 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1424 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1425 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1426 @INSTALL_HELP_XML_TRUE@           done ; \
1427 @INSTALL_HELP_XML_TRUE@         fi; \
1428 @INSTALL_HELP_XML_TRUE@  fi; \
1429 @INSTALL_HELP_XML_TRUE@ done; \
1430 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1431 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1432 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1433 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1434 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1435 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1436 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1437 @INSTALL_HELP_XML_TRUE@           done ; \
1438 @INSTALL_HELP_XML_TRUE@         fi; \
1439 @INSTALL_HELP_XML_TRUE@ fi
1440 install-data-local:
1441 # Install the tests
1442         @echo "-------- Install tests (if any) --------"; \
1443         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1444           if test -d $(srcdir)/$$dir/; then \
1445             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1446                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1447                     if test -d "$(srcdir)/$$dir/$$file"; then \
1448                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1449                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1450                     else \
1451                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1452                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1453                     fi \
1454                   done; \
1455           fi; \
1456         done
1457 # Install the help chapter
1458         @echo "-------- Install the help chapter (if any) --------"; \
1459         for lang in $(HELP_CHAPTERLANG); do \
1460                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1461                 if test -f $$HELPFILE; then \
1462                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1463                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1464                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1465                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1466                 fi; \
1467         done
1468 # Install the demos & examples
1469         @echo "-------- Install demos & examples (if any) --------"; \
1470         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1471           if test -d $(srcdir)/$$dir/; then \
1472             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1473                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1474                     if test -d "$(srcdir)/$$dir/$$file"; then \
1475                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1476                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1477                     else \
1478                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1479                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1480                     fi \
1481                   done; \
1482           fi; \
1483         done
1484 # Install the macros
1485         @echo "-------- Install macros (if any) --------"; \
1486         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1487           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1488                 if test -d $(srcdir)/$$dir/; then \
1489                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1490                         if test -n "$(MACROSSPECIALEXT)"; then \
1491                                 specialExtDir=""; \
1492                                 for specialExt in $(MACROSSPECIALEXT); do \
1493                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1494                                 done; \
1495                                 FILELIST="$$FILELIST $$specialExtDir"; \
1496                         fi; \
1497                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1498                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1499                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1500                   done; \
1501                 fi; \
1502         done
1503 # Install java files (.jar)
1504         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1505         echo "-------- Install jar files --------"; \
1506     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1507           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1508                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1509                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1510           done ; \
1511         fi
1512
1513 ########### CLEAN ###################
1514 # Clean help (generated automatically by Scilab)
1515 # It used to clean the macro (clean-macros) but this was causing
1516 # make clean && make to fail Scilab startup
1517 @NEED_JAVA_TRUE@clean-local: clean-java
1518 @NEED_JAVA_FALSE@clean-local:
1519
1520 distclean-local:
1521         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1522
1523 .PHONY: macros java swig giws
1524
1525 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1526 # Otherwise a system limit (for SysV at least) may be exceeded.
1527 .NOEXPORT: